@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

.page {
    display: flex;
    flex-flow: column nowrap;
    height: 100vh;
}

.navbar.header-navbar {
    flex-grow: 0;
    flex-wrap: nowrap;
    border: none;
    background-color: inherit;
    border-radius: 0;
    height: 3.5rem;
    min-height: 3.5rem;
    box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.12);
    justify-content: flex-start;
}

.header-navbar .navbar-toggler {
    outline: none;
    border-radius: 0;
    padding-left: .75rem;
    padding-right: .75rem;
    align-self: stretch;
}

.header-navbar .navbar-toggler .navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255,255,255, 1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
    background-color: transparent !important;
    height: 2rem;
    width: 2rem;
}

.main {
    display: flex;
    flex-flow: row nowrap;
    flex-grow: 1;
    height: calc(100vh - 3.5rem);
    overflow: hidden;
}

.sidebar {
    min-width: 300px;
    max-width: 300px;
    box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.16);
    transition: transform 0.1s ease-out;
    max-height: 100%;
    overflow: auto;
}

.content {
    padding: 1.1rem 2rem 0 2rem;
    flex: 1 1 auto;
    max-height: 100%;
    overflow: auto;
}

.content > * {
    max-width: 1100px;
}

.sidebar.collapse {
    display: none;
}

.sidebar.expand {
    display: block;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.title {
    font-size: 1.1rem;
    text-overflow: ellipsis;
    overflow: hidden;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.app-sidebar > .nav-pills > .nav-item:first-of-type {
    padding-top: 1rem;
}

.app-sidebar > .nav-pills > .nav-item:last-of-type {
    padding-bottom: 1rem;
}

.app-sidebar .nav-pills > .nav-item a {
    border-radius: 0px;
    display: flex;
    align-items: center;
}

.app-sidebar > .nav-pills > .nav-item > a {
    font-size: 1rem !important;
    font-weight: 600 !important;
    padding: .25rem 1rem .25rem .125rem;
}

.fit-width {
    max-width: 100%;
}

.btn-link:hover, .btn-link:focus, .btn-link:active, .btn-link.active, .open > .dropdown-toggle.btn-link {
    color: #fff !important;
    background-color: #004899 !important;
    border-color: #004899 !important; /*set the color you want here*/
    text-decoration: none !important;
}

textarea:focus,
input[type="text"]:focus,
input[type="password"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="time"]:focus,
input[type="week"]:focus,
input[type="number"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="color"]:focus,
input[type="checkbox"]:focus,
.uneditable-input:focus {
    border-color: #004899 !important;
    box-shadow: 0 1px 1px rgba(0, 72, 153, 0.6) inset, 0 0 8px rgba(0, 72, 153, 0.6);
    outline: 0 none;
}

@media (max-width: 1199.98px) {
    .main {
        min-width: 100vw;
        display: flex;
        flex-flow: column nowrap;
    }

    .sidebar {
        display: none;
    }

    .sidebar.expand {
        position: fixed;
        top: 3.5rem;
        left: 0;
        min-width: 100vw;
        background-color: #fff;
        z-index: 1050;
    }

    .app-sidebar > .nav-pills > .nav-item:last-of-type {
        padding-bottom: 0;
    }

    .app-sidebar > .nav-pills > .nav-item > a {
        font-size: 2rem !important;
        font-weight: 400 !important;
        padding: .25rem 1rem .25rem .125rem;
        text-align: center;
        border-top: 1px solid #6f42c1;
    }

    .treeview-item-text-container {
        font-size: 2rem !important;
        font-weight: 800 !important;
        text-align: center;
    }
}

@media (max-width: 350px) {
    .title {
        font-size: inherit;
    }
}

.blazored-typeahead__controls > .blazored-typeahead__input {
    padding: .16rem .5rem;
}

.blazored-typeahead__controls > .blazored-typeahead__input-mask-wrapper > .blazored-typeahead__input-mask {
    padding: .16rem .5rem;
}

.blazored-typeahead__controls > .blazored-typeahead__input-mask-wrapper > .blazored-typeahead__clear {
    padding: .16rem .5rem;
}

.blazored-typeahead__controls > .blazored-typeahead__input-mask-wrapper:focus {
    border-color: #004899 !important;
    box-shadow: 0 1px 1px rgb(0 72 153 / 60%) inset, 0 0 8px rgb(0 72 153 / 60%);
    outline: 0 none;
    border-radius: .15rem;
}

.blazored-typeahead__controls > .blazored-typeahead__input:focus {
    border-color: #004899 !important;
    box-shadow: 0 1px 1px rgb(0 72 153 / 60%) inset, 0 0 8px rgb(0 72 153 / 60%);
    outline: 0 none;
    border-radius: .15rem;
}

div > .blazored-typeahead {
    border-radius: .15rem;
}

div > .blazored-typeahead:focus-within {
    box-shadow: none;
}

.nav-tabs .nav-item-error .nav-link {
    border-color: red;
    background-color: #f003;
}

.nav-tabs .nav-item-error .nav-link.active {
    border-color: #004899;
}

.dxbs-data-row.dxdatagrid-no-child-rows .dxbs-toggle-cell .btn-toggle {
    display: none;
}

.user-initials {
    width: 50px !important;
    max-width: 100% !important;
    max-height: 100% !important;
    height: 50px !important;
    text-align: center;
    font-size: 16px;
    color: white;
}

.user-initials:focus {
    outline-color: #004bfa;
}

.btn-square-md-w100
{
    width: 100% !important;
    height: 50px !important;
    text-align: center;
}

.btn-square-lg-w100
{
    width: 100% !important;
    height: 100px !important;
    text-align: center;
}

.btn-square-md-wa
{
    width: auto !important;
    height: 50px !important;
    text-align: center;
}

.btn-square-lg-wa
{
    width: auto !important;
    height: 100px !important;
    text-align: center;
}

.btn-square-md-w30
{
    width: 30% !important;
    height: 50px !important;
    text-align: center;
}

.btn-square-lg-w30
{
    width: 30% !important;
    height: 100px !important;
    text-align: center;
}

.btn-square-sm {
    width: 50px !important;
    max-width: 100% !important;
    max-height: 100% !important;
    height: 50px !important;
    text-align: center;
}

.btn-square-md {
    width: 75px !important;
    max-width: 100% !important;
    max-height: 100% !important;
    height: 75px !important;
    text-align: center;
}

.btn-square-lg {
    width: 100px !important;
    max-width: 100% !important;
    max-height: 100% !important;
    height: 100px !important;
    text-align: center;
}

.btn-square-xl {
    width: 125px !important;
    max-width: 100% !important;
    max-height: 100% !important;
    height: 125px !important;
    text-align: center;
}

.btn-square-100p {
    width: 100% !important;
    max-width: 100% !important;
    max-height: 100% !important;
    height: 125px !important;
    text-align: center;
}

.table-borderless .card {
    border: none;
}

.font-size-lg {
    font-size: 1.1rem;
}

dxbl-modal > .dxbs-modal > .dxbs-popup
{
    width: 90% !important;
}

td.dxbs-day.dxbs-calendar-table-today.dxbs-calendar-selected-item {
    background-color: var(--dx-calendar-table-selection-color, var(--light)) !important;
}

td.dxbs-day.dxbs-calendar-table-today {
    border-style: solid !important;
    border-width: 1px !important;
    border-color: var(--dx-calendar-table-selected-today-color, var(--primary)) !important;
}

td.dxbs-day.dxbs-calendar-table-today:not(.dxbs-calendar-selected-item) {
    background-color: rgba(0, 0, 0, 0) !important;
}

td.dxbs-day.dxbs-calendar-table-today:hover:not(.dxbs-calendar-selected-item) {
    background-color: var(--dx-calendar-table-hover-color, var(--light)) !important;
}

.div-mainheader {
    /*background: #4e54c8;*/ /* fallback for old browsers */
    /*background: -webkit-linear-gradient(135deg, #ffffff, transparent 50%, #9700ff);*/ /* Chrome 10-25, Safari 5.1-6 */
    /*background: linear-gradient(135deg, #ffffff, transparent 50%, #9700ff);*/ /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    padding: 8px 16px;
    border-bottom: 1px solid #6f42c1;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 14px;
    color: #6f42c1;
}

.div-packages {
    /*background: #4e54c8;*/ /* fallback for old browsers */
    /*background: -webkit-linear-gradient(135deg, #ffffff, transparent 50%, #9700ff);*/ /* Chrome 10-25, Safari 5.1-6 */
    /*background: linear-gradient(135deg, #ffffff, transparent 50%, #9700ff);*/ /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    padding: 8px 16px;
    border-bottom: 1px solid #3A9BDB;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 14px;
    color: #3A9BDB;
}

.div-putaway {
    /*background: #4e54c8;*/ /* fallback for old browsers */
    /*background: -webkit-linear-gradient(135deg, #ffffff, transparent 50%, #9700ff);*/ /* Chrome 10-25, Safari 5.1-6 */
    /*background: linear-gradient(135deg, #ffffff, transparent 50%, #9700ff);*/ /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    padding: 8px 16px;
    border-bottom: 1px solid #DB1804;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 14px;
    color: #DB1804;
}

.div-shipping {
    /*background: #4e54c8;*/ /* fallback for old browsers */
    /*background: -webkit-linear-gradient(135deg, #ffffff, transparent 50%, #9700ff);*/ /* Chrome 10-25, Safari 5.1-6 */
    /*background: linear-gradient(135deg, #ffffff, transparent 50%, #9700ff);*/ /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    padding: 8px 16px;
    border-bottom: 1px solid #6f42c1;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 14px;
    color: #6f42c1;
}

.div-utilization {
    /*background: #4e54c8;*/ /* fallback for old browsers */
    /*background: -webkit-linear-gradient(135deg, #ffffff, transparent 50%, #9700ff);*/ /* Chrome 10-25, Safari 5.1-6 */
    /*background: linear-gradient(135deg, #ffffff, transparent 50%, #9700ff);*/ /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    padding: 8px 16px;
    border-bottom: 1px solid #42c1bb;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 14px;
    color: #42c1bb;
}

.btn-putaway {
    background: #4e54c8; /* fallback for old browsers */
    background: -webkit-linear-gradient(135deg, #ffffff, #DB1804); /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(135deg, #ffffff, transparent 50%, #DB1804); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    text-transform: uppercase;
    padding: 8px 16px;
    border: 1px solid #DB1804;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 14px;
    color: #DB1804;
    text-align: left;
}

.btn-packages {
    background: #4e54c8; /* fallback for old browsers */
    background: -webkit-linear-gradient(135deg, #ffffff, transparent 50%, #3A9BDB); /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(135deg, #ffffff, transparent 50%, #3A9BDB); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    text-transform: uppercase;
    padding: 8px 16px;
    border: 1px solid #3A9BDB;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 14px;
    color: #3A9BDB;
    text-align: left;
}

.btn-pickuporder {
    background: #4e54c8; /* fallback for old browsers */
    background: -webkit-linear-gradient(135deg, #ffffff, transparent 50%, #7D7B7A); /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(135deg, #ffffff, transparent 50%, #7D7B7A); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    text-transform: uppercase;
    padding: 8px 16px;
    border: 1px solid #7D7B7A;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 14px;
    color: #7D7B7A;
    text-align: left;
}

.btn-movement {
    background: #4e54c8; /* fallback for old browsers */
    background: -webkit-linear-gradient(135deg, #ffffff, transparent 50%, #52A173); /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(135deg, #ffffff, transparent 50%, #52A173); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    text-transform: uppercase;
    padding: 8px 16px;
    border: 1px solid #52A173;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 14px;
    color: #52A173;
    text-align: left;
}

.btn-shipping {
    background: #4e54c8; /* fallback for old browsers */
    background: -webkit-linear-gradient(135deg, #ffffff, transparent 50%, #6f42c1); /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(135deg, #ffffff, transparent 50%, #6f42c1); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    text-transform: uppercase;
    padding: 8px 16px;
    border: 1px solid #6f42c1;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 14px;
    color: #6f42c1;
    text-align: left;
}

.btn-return {
    background: #4e54c8; /* fallback for old browsers */
    background: -webkit-linear-gradient(135deg, #ffffff, transparent 50%, #D4AC2C); /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(135deg, #ffffff, transparent 50%, #D4AC2C); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    text-transform: uppercase;
    padding: 8px 16px;
    border: 1px solid #D4AC2C;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 14px;
    color: #D4AC2C;
    text-align: left;
}



.btn-utilization {
    background: #42c1bb; /* fallback for old browsers */
    background: -webkit-linear-gradient(135deg, #ffffff, transparent 50%, #42c1bb); /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(135deg, #ffffff, transparent 50%, #42c1bb); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    text-transform: uppercase;
    padding: 8px 16px;
    border: 1px solid #42c1bb;
    cursor: pointer;
    letter-spacing: 2px;
    font-size: 14px;
    color: #42c1bb;
    text-align: left;
}

    .angled-gradient-button:hover {
        transform: translateY(-2px);
        box-shadow: 0 0 .3em rgba(0, 0, 0, 0.25);
        background-position: 0;
        color: #fff;
    }

    .angled-gradient-button:active {
        transform: translateY(-1px);
    }

.scanner-table thead {
    border: none !important;
}

.scanner-table tr {
    border: none;
}

.scanner-table th {
    font-size: 1rem;
    height: 50px !important;
    border: none;
}

    .scanner-table th .dxbs-fixed-header-content {
        margin-left: 10px;
    }

.scanner-table td.text-start {
    font-size: 1.0rem;
    border: none;
}

.scanner-table tbody tr:nth-child(2n) {
    background-color: #f2e7ff;
}

.scanner-tab .nav-link 
{
    background-color: #f2e7ff;
}

.scanner-tab .nav-link.active {
    background-color: #e0c4ff;
}

.modal-dialog {
    pointer-events: auto;
}

dxbl-modal > .dxbs-modal > .dxbs-popup.modal-full-screen.modal-dialog
{
    align-self: normal !important;
    height: 100%;
    width: 100% !important;
    margin: 0 !important;
}

dxbl-modal > .dxbs-modal > .dxbs-popup.modal-full-screen.modal-dialog .modal-content
{
    height: 100% !important;
    border-radius: 0px;
}

dxbl-modal > .dxbs-modal > .dxbs-popup.modal-full-screen.modal-dialog .modal-content .modal-body
{
    display: flex;
    flex-direction: column;
}

html {
    height: 100%;
}

.card-view-wrapper {
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.card-view-container {
    flex: 1 1 auto;
    overflow-y: auto;
}

.card-container {
    border-radius: 0.25rem;
    padding: 1.5rem;
}

.card-price {
    margin-bottom: 0;
}

.card-link-container {
    text-align: right;
}

.card-ellipsis {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}